# Exhibitor Categories

Exhibitor Categories

## Gets all of the exhibitor categories in the system.

 - [GET /exhibitorCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-categories/listexhibitorcategories.md): This method will scan all exhibitor categories and and return them to the caller.

## Creates a new exhibitor category record that does not already exist.

 - [POST /exhibitorCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-categories/createexhibitorcategory.md): This method will auto-generate an ID and create a new exhibitor category. If an ID is specified for the exhibitor category, an error will be thrown.

## Execute Batch Operations

 - [POST /exhibitorCategories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-categories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

## Returns a exhibitor category from the system by its ID.

 - [DELETE /exhibitorCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-categories/deleteexhibitorcategory.md): This method will delete a exhibitor category with the specified ID.

## Returns a exhibitor category from the system by its ID.

 - [GET /exhibitorCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-categories/getexhibitorcategory.md): This method will look up a exhibitor category by the specified ID and return it back.

## Partially updates a exhibitor category with the specified ID.

 - [PATCH /exhibitorCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-categories/patchexhibitorcategory.md): This method will patch an existing exhibitor category with the specified ID, using the HTTP PATCH specification.

## Updates a exhibitor category with the specified ID.

 - [PUT /exhibitorCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-categories/updateexhibitorcategory.md): This method will update an existing exhibitor category with the specified ID.

